require "skeletor_backbone/version"
require "sass/sass_extend"

module SkeletorBackbone
  def self.root_path
    File.expand_path('../..', __FILE__)
  end

  def self.js_path
    File.expand_path("#{root_path}/app/assets/javascripts/skeletor", __FILE__)
  end

  def self.css_path
    File.expand_path("#{root_path}/app/assets/stylesheets/skeletor", __FILE__)
  end

  class Engine < ::Rails::Engine
    # require 'sass'
    initializer "normalize.css and modernizr.js asset precompile" do |app|
      app.config.assets.precompile += %w( normalize.css modernizr.js modernizr-custom.js skeletor-preview.css)
    end
  end
end
